/*
 *   Copyright (c) 2000 S.Noda <sakae_noda@hotmail.com>
 *
 *   Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted provided
 * that the above copyright notice and this permission notice appear
 * in all copies of the software and related documentation.
 *
 *                          NO WARRANTY
 *
 *   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY WARRANTIES;
 * WITHOUT EVEN THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

#ifndef _DMISH32_H_
#define _DMISH32_H_

#include "comm-arc.h"

#ifdef __cplusplus
extern "C" {
#endif

WORD WINAPI IshGetVersion(VOID);
BOOL WINAPI IshGetRunning(VOID);

BOOL WINAPI IshGetBackGroundMode(VOID);
BOOL WINAPI IshSetBackGroundMode(const BOOL _BackGroundMode);
BOOL WINAPI IshGetCursorMode(VOID);
BOOL WINAPI IshSetCursorMode(const BOOL _CursorMode);
WORD WINAPI IshGetCursorInterval(VOID);
BOOL WINAPI IshSetCursorInterval(const WORD _Interval);

int WINAPI Ish(const HWND _hwnd, LPCSTR _szCmdLine, LPSTR _szOutput, const DWORD _dwSize);
BOOL WINAPI IshCheckArchive(LPCSTR _szFileName, const int _iMode);
BOOL WINAPI IshConfigDialog(const HWND _hwnd, LPSTR _lpszComBuffer, const int _iMode);
HARC WINAPI IshOpenArchive(const HWND _hwnd, LPCSTR _szFileName, const DWORD _dwMode);
int WINAPI IshCloseArchive(HARC _harc);
int WINAPI IshFindFirst(HARC _harc, LPCSTR _szWildName, INDIVIDUALINFO *_lpSubInfo);
int WINAPI IshFindNext(HARC _harc, INDIVIDUALINFO *_lpSubInfo);
BOOL WINAPI IshQueryFunctionList(const int _iFunction);

#ifdef __cplusplus
}
#endif

#endif /* _DMISH32_H_ */
